Subject: bug#19547: 25.0.50; throw-on-input "fires" when switching workspace

From: Eli Zaretskii <[email-masked]>
Date: Sat, 10 Jan 2015 11:14:58 +0200

> From: Michael Heerdegen <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 09 Jan 2015 22:48:25 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > It could be that this particular event can be filtered out, but that's
> > just the top of the iceberg.  There are way too many different events
> > flowing into Emacs on a typical modern system, keyboard being just a
> > small part of that.
> 
> Mmh, I expected that this could be the case.  But is there no more or
> less reasonable way to classify events?  Probably not...

If you are thinking about a general-purpose infrastructure to ignore
some specific classes of events, we could try considering that.  Of
course, any such filtering can always be done on the application
level, and the question then is how more useful will it be to have it
in the infrastructure.